lib_colors 1.0.17

lib_colors #

Add colors to your applications!

LibColors is a cross-platform Dart library to create, use, convert and manipulate colors.

Example #

TODO

Thanks! #

This package is based on vector_math and color packages. I just rewrote them with a cleaner API.

1.0.17 #

  • transparent in NamedColors.decode

1.0.16 #

  • CSS named colors
  • Rgb.fromInt
  • Rgb.fromCSSName

1.0.15 #

  • pub.dev fixes

1.0.14 #

  • a getter and setter in Color interface

1.0.12 #

Bug fixes #

  • Hsl.parse with alpha

1.0.10 #

  • HexColorCodec and Rgb.fromHex

1.0.9 #

Bug fixes #

  • Rgb.toHex

1.0.8 #

Bug fix #

  • Alpha missed on Hsl.toHsl

1.0.6 #

  • Default s, l values for Hsl

1.0.5 #

  • clone method with mods

1.0.4 #

  • Exported white and black colors

1.0.2 #

  • Export color spaces

1.0.1 #

  • Color manipulation methods
  • Hsv

1.0.0 #

  • Rgb, Hsl
  • Parse from CSS string
  • Conversion between RGB and HSL

example/lib_colors_example.dart

import 'package:lib_colors/lib_colors.dart';

main() {}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  lib_colors: ^1.0.17

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:lib_colors/lib_colors.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
20
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
60
Learn more about scoring.

We analyzed this package on Aug 21, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.4.0
  • pana: 0.12.19

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in primary library package:lib_colors/lib_colors.dart.

Health issues and suggestions

Document public APIs. (-0.13 points)

291 out of 300 API elements have no dartdoc comment.Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.4.0 <3.0.0
Dev dependencies
pedantic ^1.7.0
test ^1.6.0